最近用的几台服务器上装的Vim版本比较老是Vim6.3,而我的配置是vim7.1的,导致很多配置都会报错。在Vim6.3下基本上把我喜欢用的插件几乎都屏蔽了。今天实在是忍受不了了,就下决心重新装一下Vim,有几台服务器我是没有root权限的,只好装一个vim7.1给自己用。

开始的时候用默认的配置来进行安装

./configure --prefix=/home/user/rc/local/vim71

make

make install

一切还算顺利,不过打开了一个UTF8的文档

|:set enc=utf8,没有反应

|:set tenc=gbk,还是没有反应

最后定位到是set enc和set tenc会用到iconv

vim --version的时候-iconv显然是这个出现了问题,看了下./configure --help

看到了

--with-features=TYPE tiny, small, normal, big or huge (default: normal)

别的没有什么特别的配置,看来问题出在这里了,我直接选择了最后一个huge(不知道是不是会比big更加完整)

./configure --prefix=/home/user/rc/local/vim71 --with-features=huge

make

make install

OK问题解决